using Otter;

namespace KellysMarvelousAdventure.entities
{
    class InsideDoor : Entity
    {
        private Spritemap<string> _spriteMap;

        public InsideDoor(float x, float y)
        {
            X = x; Y = y;
            SetHitbox(40, 50, (int)Global.Type.INSIDEDOOR);
            _spriteMap = new Spritemap<string>(Assets.INSIDEDOOR, 64, 50 );
            _spriteMap.Add("main", new int[] { 0 }, new float[] { 3, 3 });
            _spriteMap.Play("main");
            Graphic = _spriteMap;
            Layer = 1;
        }
    }
}
